%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBI.pm)
# END SourceDeps(oneline)
%define module_version 1.63
%define module_name DB-Ent
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.63
Release: alt1
Summary: Database Entity Layer
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/E/EC/ECALDER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module presents an interface to an entity-centric database schema, providing all necessary methods to create, discover and manipulate entities and associated data.

The schema consists of 4 basic element storage types: 1) entities, 2) attributes, 3) relationships, and 4) extended attributes.

The terms `entity' and `attribute' are used here in accordance to the common definition used in relational database theory.

A differentiating factor between an entity and an attribute is that attributes serve no other purpose but to qualify an entity and cannot exist on their own.  Entities may exist without qualifiers, requiring only a name.

Relationships of various kinds may be established between any two entities and these may be codified, enumerated or both.

Extended attributes comprise special datatypes and are typically used to store large format data.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/D*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.63-alt1
- initial import by package builder

